<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "gift_type3_t".
 *
 * @property integer $id
 * @property string $name
 * @property string $price
 * @property integer $total
 * @property integer $type
 * @property string $created_at
 * @property string $updated_at
 */
class GiftType3T extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'gift_type3_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['total','type'], 'integer'],
            [['price'], 'string', 'max' => 50],
            [['created_at', 'updated_at'], 'safe'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'price' => 'Price',
            'total' => 'Total',
            'type' => 'Type',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
